# Class AdminServer.AdminServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.server.admin.AdminServer.AdminServerException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `AdminServer`

@Public public static class AdminServer.AdminServerException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AdminServerException(String message, Throwable cause)`
`AdminServerException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AdminServerException

public AdminServerException(String message, Throwable cause)

### AdminServerException

public AdminServerException(Throwable cause)